opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Static Public Member Functions | List of all members
cv::Vec< _Tp, cn > Class Template Reference

`#include <core.hpp>`

Inheritance diagram for cv::Vec< _Tp, cn >:

## Public Types

enum | { depth = DataDepth<_Tp>::value, channels = cn, type = CV_MAKETYPE(depth, channels) }
typedef _Tp | value_type
Public Types inherited from cv::Matx< _Tp, cn, 1 >
enum |
typedef Matx< _Tp, MIN(m, n), 1 > | diag_type
typedef Matx< _Tp, m, n > | mat_type
typedef _Tp | value_type

## Public Member Functions

Vec | cross (const Vec &v) const
Vec | mul (const Vec< _Tp, cn > &v) const
| per-element multiplication
| operator CvScalar () const
| conversion to 4-element CvScalar.
template<typename T2 >
| operator Vec< T2, cn > () const
| convertion to another data type
const _Tp & | operator() (int i) const
_Tp & | operator() (int i)
const _Tp & | operator[] (int i) const
_Tp & | operator[] (int i)
| Vec ()
| default constructor
| Vec (_Tp v0)
| 1-element vector constructor
| Vec (_Tp v0, _Tp v1)
| 2-element vector constructor
| Vec (_Tp v0, _Tp v1, _Tp v2)
| 3-element vector constructor
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3)
| 4-element vector constructor
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4)
| 5-element vector constructor
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5)
| 6-element vector constructor
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6)
| 7-element vector constructor
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7)
| 8-element vector constructor
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8)
| 9-element vector constructor
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9)
| 10-element vector constructor
| Vec (const _Tp *values)
| Vec (const Vec< _Tp, cn > &v)
Public Member Functions inherited from cv::Matx< _Tp, cn, 1 >
Matx< _Tp, m, 1 > | col (int i) const
| extract the matrix column
double | ddot (const Matx< _Tp, m, n > &v) const
| dot product computed in double-precision arithmetics
Matx< _Tp, MIN(m, n), 1 > | diag () const
| extract the matrix diagonal
_Tp | dot (const Matx< _Tp, m, n > &v) const
| dot product computed with the default precision
Matx< _Tp, m1, n1 > | get_minor (int i, int j) const
| extract part of the matrix
Matx< _Tp, n, m > | inv (int method=DECOMP_LU) const
| invert matrix the matrix
| Matx ()
| default constructor
| Matx (_Tp v0)
| 1x1 matrix
| Matx (_Tp v0, _Tp v1)
| 1x2 or 2x1 matrix
| Matx (_Tp v0, _Tp v1, _Tp v2)
| 1x3 or 3x1 matrix
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3)
| 1x4, 2x2 or 4x1 matrix
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4)
| 1x5 or 5x1 matrix
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5)
| 1x6, 2x3, 3x2 or 6x1 matrix
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6)
| 1x7 or 7x1 matrix
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7)
| 1x8, 2x4, 4x2 or 8x1 matrix
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8)
| 1x9, 3x3 or 9x1 matrix
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9)
| 1x10, 2x5 or 5x2 or 10x1 matrix
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9, _Tp v10, _Tp v11)
| 1x12, 2x6, 3x4, 4x3, 6x2 or 12x1 matrix
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9, _Tp v10, _Tp v11, _Tp v12, _Tp v13, _Tp v14, _Tp v15)
| 1x16, 4x4 or 16x1 matrix
| Matx (const _Tp *vals)
| initialize from a plain array
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_AddOp)
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_SubOp)
| Matx (const Matx< _Tp, m, n > &a, _T2 alpha, Matx_ScaleOp)
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_MulOp)
| Matx (const Matx< _Tp, m, l > &a, const Matx< _Tp, l, n > &b, Matx_MatMulOp)
| Matx (const Matx< _Tp, n, m > &a, Matx_TOp)
Matx< _Tp, m, n > | mul (const Matx< _Tp, m, n > &a) const
| multiply two matrices element-wise
| operator Matx< T2, m, n > () const
| convertion to another data type
const _Tp & | operator() (int i, int j) const
| element access
_Tp & | operator() (int i, int j)
const _Tp & | operator() (int i) const
| 1D element access
_Tp & | operator() (int i)
Matx< _Tp, m1, n1 > | reshape () const
| change the matrix shape
Matx< _Tp, 1, n > | row (int i) const
| extract the matrix row
Matx< _Tp, n, l > | solve (const Matx< _Tp, m, l > &rhs, int flags=DECOMP_LU) const
| solve linear system
Matx< _Tp, n, 1 > | solve (const Matx< _Tp, m, 1 > &rhs, int method) const
Matx< _Tp, n, m > | t () const
| transpose the matrix

## Static Public Member Functions

static Vec | all (_Tp alpha)
Static Public Member Functions inherited from cv::Matx< _Tp, cn, 1 >
static Matx | all (_Tp alpha)
static Matx | diag (const diag_type &d)
static Matx | eye ()
static Matx | ones ()
static Matx | randn (_Tp a, _Tp b)
static Matx | randu (_Tp a, _Tp b)
static Matx | zeros ()

## Additional Inherited Members

Public Attributes inherited from cv::Matx< _Tp, cn, 1 >
_Tp | val [m *n]

## Detailed Description

### template<typename _Tp, int cn>
class cv::Vec< _Tp, cn >

A short numerical vector.

This template class represents short numerical vectors (of 1, 2, 3, 4 ... elements) on which you can perform basic arithmetical operations, access individual elements using [] operator etc. The vectors are allocated on stack, as opposite to std::valarray, std::vector, cv::Mat etc., which elements are dynamically allocated in the heap.

The template takes 2 parameters:

1. _Tp element type
2. cn the number of elements

In addition to the universal notation like Vec<float, 3>, you can use shorter aliases for the most popular specialized variants of Vec, e.g. Vec3f ~ Vec<float, 3>.

## Member Typedef Documentation

template<typename _Tp, int cn>

typedef _Tp cv::Vec< _Tp, cn >::value_type

## Member Enumeration Documentation

template<typename _Tp, int cn>

anonymous enum

Enumerator:

  depth |
  channels |
  type |

## Constructor & Destructor Documentation

template<typename _Tp , int cn>

Vec< _Tp, cn >::Vec | ( |  | ) |

inline

default constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | _Tp | v0 | ) |

inline

1-element vector constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1
| ) |  |

inline

2-element vector constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2
| ) |  |

inline

3-element vector constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3
| ) |  |

inline

4-element vector constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4
| ) |  |

inline

5-element vector constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5
| ) |  |

inline

6-element vector constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6
| ) |  |

inline

7-element vector constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7
| ) |  |

inline

8-element vector constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7,
|  | _Tp | v8
| ) |  |

inline

9-element vector constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7,
|  | _Tp | v8,
|  | _Tp | v9
| ) |  |

inline

10-element vector constructor

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | const _Tp * | values | ) |

inline explicit

template<typename _Tp, int cn>

Vec< _Tp, cn >::Vec | ( | const Vec< _Tp, cn > & | v | ) |

inline

## Member Function Documentation

template<typename _Tp, int cn>

Vec< _Tp, cn > Vec< _Tp, cn >::all | ( | _Tp | alpha | ) |

inline static

template<typename _Tp , int cn>

Vec< _Tp, cn > Vec< _Tp, cn >::cross | ( | const Vec< _Tp, cn > & | v | ) | const

inline

cross product of the two 3D vectors.

For other dimensionalities the exception is raised

template<typename _Tp, int cn>

Vec< _Tp, cn > Vec< _Tp, cn >::mul | ( | const Vec< _Tp, cn > & | v | ) | const

inline

per-element multiplication

template<typename _Tp , int cn>

Vec< _Tp, cn >::operator CvScalar | ( |  | ) | const

inline

conversion to 4-element CvScalar.

template<typename _Tp , int cn>
template<typename T2 >

Vec< _Tp, cn >::operator Vec< T2, cn > | ( |  | ) | const

inline

convertion to another data type

template<typename _Tp , int cn>

const _Tp & Vec< _Tp, cn >::operator() | ( | int | i | ) | const

inline

template<typename _Tp , int cn>

_Tp & Vec< _Tp, cn >::operator() | ( | int | i | ) |

inline

template<typename _Tp , int cn>

const _Tp & Vec< _Tp, cn >::operator[] | ( | int | i | ) | const

inline

element access

template<typename _Tp , int cn>

_Tp & Vec< _Tp, cn >::operator[] | ( | int | i | ) |

inline

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp